Subject: Re: bug#18955: Makefile:382: recipe for target 'src' failed

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Nov 2014 22:15:37 +0200

> Date: Sun, 9 Nov 2014 21:10:58 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: Alexander Shukaev <[email-masked]>, [email-masked]
> 
> MSYS paths are not only those of the form "/c/foo".  For example:
> "/home/dani/foo", "/usr/local" and, in general any UNIX-like path are
> valid MSYS paths.
> 
> And moreover, any MSYS path could be mounted to any Windows-native
> path (type "mount" to see the current mapping).
> 
> Therefore, it is clear that supporting MSYS/Cygwin paths from the
> MS-Windows port of Emacs is far more complex that simply translating
> "/C" into "C:".

Right.  Fortunately, these issues are very few and far in-between, so
we handle them with special-purpose tweaks, on a case by case basis.